<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.5.1.final using JasperReports Library version 6.5.1  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="subsalesbookmodel" pageWidth="595" pageHeight="842" whenNoDataType="AllSectionsNoDetail" columnWidth="555" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="8daf2bcb-c066-4a19-9949-556d73de43bd">
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="mpm-motor"/>
	<parameter name="date_from" class="java.lang.String"/>
	<parameter name="date_thru" class="java.lang.String"/>
	<parameter name="namabacang" class="java.lang.String"/>
	<queryString language="SQL">
		<![CDATA[select c.idproduct, sum(c.qty) as qty, sum(a.axprice) as unitprice, round(sum(a.axdisc/1.1),-3) as dis from vehicle_sales_billing a
left join billing b on a.idbilling = b.idbilling
left join billing_item c on b.idbilling = c.idbilling
left join internal d on b.idinternal = d.idinternal

where d.idinternal = $P{namabacang} and b.dtcreate between $P{date_from} and $P{date_thru} and b.idbiltyp = 10 and c.idbilitetyp = 10
group by c.idproduct, c.qty
order by idproduct]]>
	</queryString>
	<field name="idproduct" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="idproduct"/>
	</field>
	<field name="qty" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.label" value="qty"/>
	</field>
	<field name="unitprice" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.label" value="unitprice"/>
	</field>
	<field name="dis" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.label" value="dis"/>
	</field>
	<variable name="idproduct1" class="java.lang.Integer" resetType="Page" calculation="Count">
		<variableExpression><![CDATA[$F{idproduct}]]></variableExpression>
	</variable>
	<variable name="qty1" class="java.math.BigDecimal" calculation="Sum">
		<variableExpression><![CDATA[$F{qty}]]></variableExpression>
	</variable>
	<variable name="unitprice1" class="java.math.BigDecimal" calculation="Sum">
		<variableExpression><![CDATA[$F{unitprice}]]></variableExpression>
	</variable>
	<variable name="dis1" class="java.math.BigDecimal" calculation="Sum">
		<variableExpression><![CDATA[$F{dis}]]></variableExpression>
	</variable>
	<group name="idproduct">
		<groupExpression><![CDATA[$F{idproduct}]]></groupExpression>
	</group>
	<group name="qty">
		<groupExpression><![CDATA[$F{qty}]]></groupExpression>
	</group>
	<group name="unitprice">
		<groupExpression><![CDATA[$F{unitprice}]]></groupExpression>
	</group>
	<group name="dis">
		<groupExpression><![CDATA[$F{dis}]]></groupExpression>
	</group>
	<background>
		<band splitType="Stretch"/>
	</background>
	<columnHeader>
		<band height="32" splitType="Stretch">
			<staticText>
				<reportElement x="45" y="0" width="100" height="30" uuid="b9a2dadf-72a9-4925-864c-eaf018695456">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="bd3e7c64-a541-47f6-8cd0-0327938e3d8a"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[Kode Tipe]]></text>
			</staticText>
			<staticText>
				<reportElement x="145" y="0" width="42" height="30" uuid="20b00031-2842-40b2-bbe6-57e631de300e">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="40b7cec8-09cb-4e42-b4ce-8e40c4192d66"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[Qty]]></text>
			</staticText>
			<staticText>
				<reportElement x="187" y="0" width="100" height="30" uuid="7e6c7e2a-0f95-4b0f-9b6a-9efe14c700c7">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="ed2c96da-5b1c-47c2-be3a-4e4659779c2a"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[Total Price]]></text>
			</staticText>
			<staticText>
				<reportElement x="287" y="0" width="100" height="30" uuid="46b292d6-6f1c-4294-bb49-9c80a9b3e0e1">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="42f67e9f-b7a8-44fb-bce7-e8682b7637d9"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[Total Discount]]></text>
			</staticText>
			<staticText>
				<reportElement x="3" y="0" width="42" height="30" uuid="2d78147a-eeef-49e3-9fc4-d92e7063990f">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="40b7cec8-09cb-4e42-b4ce-8e40c4192d66"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[No]]></text>
			</staticText>
			<line>
				<reportElement x="2" y="0" width="384" height="1" uuid="992e2b5b-899f-435d-a1f1-7c374bc920e9"/>
			</line>
			<line>
				<reportElement x="2" y="30" width="384" height="1" uuid="2ddb4fc7-756c-4261-a58d-2fb707f322fb"/>
			</line>
		</band>
	</columnHeader>
	<detail>
		<band height="21" splitType="Stretch">
			<textField>
				<reportElement x="45" y="0" width="100" height="20" uuid="fc4646af-76de-407d-bd83-59ebaeb59be5">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="bd3e7c64-a541-47f6-8cd0-0327938e3d8a"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{idproduct}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="145" y="0" width="42" height="20" uuid="a933c58b-0d64-4efe-a7e6-dd5e8c8b1a09">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="40b7cec8-09cb-4e42-b4ce-8e40c4192d66"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{qty}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="187" y="0" width="100" height="20" uuid="b24c9b2c-c595-4866-8c11-eff786cfca15">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="ed2c96da-5b1c-47c2-be3a-4e4659779c2a"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{unitprice}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="287" y="0" width="100" height="20" uuid="88c8791d-f57c-432a-a880-ddd4e2fa7976">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="42f67e9f-b7a8-44fb-bce7-e8682b7637d9"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{dis}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="3" y="0" width="42" height="20" uuid="06880f32-6f29-4c9b-a243-12fa76235d3b"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$V{idproduct1}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<summary>
		<band height="26" splitType="Stretch">
			<line>
				<reportElement x="0" y="0" width="384" height="1" uuid="b8138ed2-390f-4091-9582-7955ad0d948d"/>
			</line>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="145" y="2" width="42" height="17" uuid="03ec33c7-7753-4779-a88f-fe2e1389b6d3"/>
				<textElement textAlignment="Center" verticalAlignment="Top"/>
				<textFieldExpression><![CDATA[$V{qty1}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement x="0" y="20" width="384" height="1" uuid="e47a6d18-0019-4fb5-9dc1-d881d8bc9588"/>
			</line>
			<staticText>
				<reportElement x="0" y="2" width="60" height="17" uuid="82b58c78-e820-4112-9230-3ac200c004d7">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="bd3e7c64-a541-47f6-8cd0-0327938e3d8a"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[Total    :]]></text>
			</staticText>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="187" y="2" width="100" height="17" uuid="011ab10e-a7e6-4074-a91a-285060fdfea9"/>
				<textElement textAlignment="Center" verticalAlignment="Top"/>
				<textFieldExpression><![CDATA[$V{unitprice1}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="287" y="2" width="99" height="17" uuid="413fee6c-f40d-49f4-9f66-dcbb1d55b495"/>
				<textElement textAlignment="Center"/>
				<textFieldExpression><![CDATA[$V{dis1}]]></textFieldExpression>
			</textField>
		</band>
	</summary>
</jasperReport>
